package com.lukouguoji.aerologic.page.gnj.manifest.list

import android.view.View
import com.lukouguoji.aerologic.databinding.ItemGnjManifestListBinding
import com.lukouguoji.module_base.base.BaseViewHolder
import com.lukouguoji.module_base.bean.GnjManifestBean
import com.lukouguoji.module_base.bean.SimpleCheckBean

class GnjManifestListViewHolder(view: View) :
    BaseViewHolder<GnjManifestBean, ItemGnjManifestListBinding>(view) {

    override fun onBind(item: Any?, position: Int) {
        val bean = getItemBean(item)!!
        binding.bean = bean

        binding.ivIcon.setOnClickListener {
            bean.checked.set(!bean.checked.get())
        }

        notifyItemClick(position, binding.tvModify)
        notifyItemClick(position, binding.tvDelete)
        notifyItemClick(position, binding.ll)
    }

}